/*
 * @Date: 2024-09-25 11:14:29
 * @LastEditors: shirlwang
 * @LastEditTime: 2025-11-04 08:56:56
 */
import request from '@/utilsRc/request'

// 查询角色列表
export function listInvestigate(query) {
  return request({
    url: '/process/processInterview/list',
    method: 'get',
    params: query
  })
}

// 查询角色详细
export function getInvestigate(ids) {
  return request({
    url: '/process/processInterview/' + ids,
    method: 'get'
  })
}

// 新增角色
export function addInvestigate(data) {
  return request({
    // url: '/process/processInterview',
    url: '/timelime/timelime',
    method: 'post',
    data: data
  })
}

// 修改角色
export function updateInvestigate(data) {
  return request({
    url: '/process/processInterview',
    method: 'put',
    data: data
  })
}

// 删除角色
export function delInvestigate(ids) {
  return request({
    url: '/process/processInterview/' + ids,
    method: 'delete'
  })
}
